Check the current user's membership in an organization
GET
/auth/v1/memberships/{orgId}/checkChecks whether the authenticated user is a member of the specified organization and returns their membership status.
Authorization
Bearer Authorization<token>
In: header
Path Parameters
orgId*string
Organization ID
Response Body
200application/json
OK
type: unknown
{
"$ref": "#/components/schemas/authv1.CheckMembershipResponse",
"$ref-value": {
"properties": {
"is_member": {
"type": "boolean"
}
},
"type": "object"
}
}curl -X GET "https://api.rixl.com/auth/v1/memberships/string/check"OK
application/json
{
"$ref": "#/components/schemas/authv1.CheckMembershipResponse",
"$ref-value": {
"properties": {
"is_member": {
"type": "boolean"
}
},
"type": "object"
}
}List the current user's active memberships GET
Returns a paginated list of the organizations in which the authenticated user holds an active membership.
Get the caller's membership info in an organization GET
Returns the authenticated user's membership info (email) for an organization, with permission-denied when not a member.